Subject: Re: [PATCH V3 7/8] ARM: dts: Add minimal Raspberry Pi 4 support

From: Florian Fainelli <[email-masked]>
Date: Wed, 2 Oct 2019 09:43:04 -0700

On 10/2/19 9:24 AM, Stefan Wahren wrote:
> Hi Florian,
> 
> Am 28.09.19 um 21:58 schrieb Florian Fainelli:
>>
>> On 9/28/2019 5:07 AM, Stefan Wahren wrote:
>>
>>> +	memory@0 {
>>> +		device_type = "memory";
>>> +		reg = <0 0 0x00000000>;
>>> +	};
>>> +
>> [snip]
>>
>>> +#include <dt-bindings/interrupt-controller/arm-gic.h>
>>> +#include <dt-bindings/soc/bcm2835-pm.h>
>>> +
>>> +/ {
>>> +	compatible = "brcm,bcm2711";
>>> +
>>> +	#address-cells = <2>;
>>> +	#size-cells = <1>;
>> Trying to see if we may need a #size-cells property value of 2 here, for
>> the 4GB model, I would assume that we would have to, unless we are fine
>> with supporting 4GB - 1byte of DRAM?
> I will try unless this requires a lot of adjustments or break the
> bootloader.

OK.

>>
>>> +
>>> +	interrupt-parent = <&gicv2>;
>>> +
>>> +	soc {
>>> +		ranges = <0x7e000000  0x0 0xfe000000  0x01800000>,
>>> +			 <0x7c000000  0x0 0xfc000000  0x02000000>,
>>> +			 <0x40000000  0x0 0xff800000  0x00800000>;
>> Might be nice to get some comments about
> ranges = <0x7e000000  0x0 0xfe000000  0x01800000>,  // Common BCM283x
> peripherals
>      <0x7c000000  0x0 0xfc000000  0x02000000>,  // BCM2711-specific
> peripherals
> 
>      <0x40000000  0x0 0xff800000  0x00800000>;  // ARM-local peripherals
> 
> I will simply forward the answer from the RPi guys.
> 
> Is it what you had in mind? Otherwise please be more specific.

Yes, that is what I wanted to see being added, thanks.
-- 
Florian

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel